To use [[WadC]], you require Java, a Doom engine, a node builder and game
data for a Doom game (known as the IWAD).

<div class="info">

WadC is packaged for Debian and Ubuntu-based distributions. You can skip all of these
steps, simply do

[[!img debian/openlogo-nd-100.png alt=swirl link=debian align=right]]
[[!img debian/29985a98-ubuntu-logo32.png alt=Ubuntu link=no align=right size=100x100]]

<pre>$ sudo apt install wadc
$ wadc</pre>

</div>

[[!toc startlevel=2 levels=3]]

## Pre-requisites

### Java

WadC requires a Java Runtime Environment to run, version 8 or newer.

#### Linux

On a Linux-based distribution, I recommend installing OpenJDK. For Debian-based
systems

    apt install openjdk-11-jre

On Fedora/Red Hat style systems

    dnf install java-11-openjdk

#### Mac OS or Windows

[Download and install AdoptOpenJDK's build of OpenJDK here](https://adoptopenjdk.net/releases.html).

### Doom Engine

You'll also need a Doom [engine](http://doomwiki.org/wiki/Doom_engine). I
recommend [Crispy Doom](github.com/fabiangreffrath/crispy-doom)
(Debian package `crispy-doom`).

### Node Builder

Finally you may require a [node
builder](http://doomwiki.org/wiki/Node_builder). I recommend
[zdBSP](https://github.com/rheit/zdbsp) (Debian package `zdbsp`).

### Game Data (IWAD)

[IWAD](http://doomwiki.org/wiki/IWAD) (game data). If you don't have the
commercial game data, [buy it from
GoG](https://www.gog.com/game/doom_ii_final_doom) or grab
[FreeDoom](https://freedoom.github.io) (Debian package `freedoom`).

## Configuring WadC

Unpack them all.

Launch WadC by double-clicking the JAR file.

Open WadC's preferences dialog (⌘ + ,) and set the paths to the game engine,
IWAD and node builder (these should be set to sensible defaults already if
you installed the Debian package).

#### Mac OS

Most Doom Engines for Mac OS are distributed as "app bundles": within the
UI, they appear like applications that can be double-clicked, have an icon,
etc.; but under the hood they are actually folders that contain other files
(e.g. `Eternity.app/`). One of the included files is the actual engine
program.

When selecting the game engine, WadC requires you to select the engine
program from within the App bundle. The File chooser should let you expand
the App as if it were a folder and browse the contents. For example, for
Eternity, the engine is `Eternity.app/Contents/MacOS/Eternity Engine`.

## First run

Open up one of the files from `examples/` in the unpacked WadC ZIP. From the
WadC Control menu, hit **Run / Save / Save WAD / BSP / Doom** to try it out!
